<?
session_start();  
if($v==1){
include("stilos/config.inc.php");
  include("../clases/BDConexion.php");
  include("../clases/clsPer.php");
  include("funcion/funciones.php");
  include("Funciones.php");

  $objPer=new clsPer; 
  function getTiempo() { 
        list($usec, $sec) = explode(" ",microtime()); 
        return ((float)$usec + (float)$sec); 
  } 
$TiempoInicial = getTiempo();  
  }

?>
<table width="834" border="0">
<?

$mesess=$month;
$anioss=$year;
$fecha1=$days1."-".$mesess."-".$anioss;
$fecha2=$days."-".$mesess."-".$anioss;



$rstrans=$objPer->TransT($matricula,$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
while ($rowtrans=$objPer->NextRow($rstrans)){

?>
  <tr>
  <?
				$mess=substr($fecha1,3,2);
		  		$anio=substr($fecha1,6,4);
				$day="01";
				
				
				$diass=date(d);
				$ultimodia=date("t",mktime(0,0,0,$mesess,$diass,$anioss));
				
				
				$rspcp=$objPer->manpercarpesodispeso($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2));//
				$rowpcp=$objPer->NextRow($rspcp);
				
				$rstipohora=$objPer->getConsolVuelos($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$rowtipohora=$objPer->NextRow($rstipohora);				
				
				$rst=$objPer->getTransTarifaRuta($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2)); 
				$rowt=$objPer->NextRow($rst);
				
				$rsti=$objPer->getTransTarifaRutaInd($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2)); 
				$rowti=$objPer->NextRow($rsti);				
					
				$rsthi=$objPer->getHoraIndisponible($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$rowthi=$objPer->NextRow($rsthi);			
				?>
    <td><div align="left"><?=$rowtrans['model_trans']." / ".$rowtrans['mat_trans']?></div></td>
  </tr>
  <tr>
    <td><div align="left">Redondeo Prox: <? if($redondeo==''){echo "0.00";}elseif($redondeo!=''){echo $redondeo;}?></div></td>
  </tr>
  <tr>
    <td><div align="left">AOG: <?=$rowti['dia_aog'];?></div></td>
  </tr>
  
  <tr>
    <td><div align="left">
      <table width="552" border="1" cellpadding="0" cellspacing="0" style="<?=$stylo['tabla']?>" bgcolor="<?=$c_fondo['fondo tabla']?>" bordercolor="<?=$bordetabla?>">
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <? //?>
          <td width="186"><div align="center">Centros de costos </div></td>
          <? for($j=$days1;$j<=$days;$j++){?>
          <td width="68"><div align="center">
            <?=$j?>
          </div></td>
          <? }?>
          <td width="49"><div align="center">Horas por Centro de Costo </div></td>
          <td width="68"><div align="center">Costo Vuelo Total
              <? if($rowtrans['mat_trans']=='OB-317'){ echo "S/. incluye IGV";}else{ echo "USD$";}?>
</div></td>
          <td width="54"><div align="center">calculo del % </div></td>
          <td width="31"><div align="center">%</div></td>
          <td width="80"><div align="center">
              <div align="center">Distribucion del Costo
                <? if($rowtrans['mat_trans']=='OB-317'){ echo "S/.";}else{ echo "USD$";}?>
              </div>
          </div></td>
        </tr>
        <?
				//1. generar llave de cache para el reporte en funcion de los combos
				//2. buscar si existe el reporte del cache en funcion de la llave 
				//3. si existe actualizar la estructura de los datos y pasar a la presentacion
				//4. si no existe hacer calculos y generar la estructura de datos
				$n=0;
				$totalhoracol1=0;
				$pertotal=0;
				$cartotal=0;				
				$rscd=$objPer->manpercardiasTransCC($rowtrans['mat_trans'],$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$totalfilas=$objPer->totalrows($rscd);
				while($rowcd=$objPer->NextRow($rscd)){
				$n++;
				$tothorascc1=0;
				$sumap=0;
				$perpar=0;
				$carpar=0;
				$sumahorav=0;
				$sumahorav1=0;
				
				?>
        <tr class="lblCampo">
          <td><div align="left">
              <?=$rowcd['ccosto']?>
          </div></td>
          <? 
		  if($rowpcp['sumdispercar']!=''){
		  if($rowpcp['sumdispercar']>0){
		  for($i=$days1;$i<=$days;$i++){
		  
		  ?>
          <td><div align="center">
            <?				
				  if($rowcd['ccosto']){
				  $tt1=0;	
				  $rshd=$objPer->getHorasxDiaRutaCod($rowtrans['mat_trans'],$anioss."-".$mesess."-".$i);
				  while($rowhd=$objPer->NextRow($rshd)){
				  
						  $rspcdc=$objPer->manpercarpesodisccRutaCod($rowtrans['mat_trans'],$rowcd['ccosto'],$anioss."-".$mesess."-".$i,$rowhd['cod_ruta']);
						  $rowpcdc=$objPer->NextRow($rspcdc);
						  
						  $rspcdt=$objPer->manpercarpesodishRutaCod($rowtrans['mat_trans'],$anioss."-".$mesess."-".$i,$rowhd['cod_ruta']);
						  $rowpcdt=$objPer->NextRow($rspcdt);
						  
						  $rstv=$objPer->manpercarHrsTecVol($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2));
						  $rowtv=$objPer->NextRow($rstv);			  		  	  
				  
						 if(($rowpcdt['dispesototal']!='') || ($rowpcdt['dispesototal']!=0) || ($rowpcdt['dispesototal']!=NULL)){
								if($rowpcdt['dispesototal']!=0){$dispercar=$rowpcdc['dispercar']; $dispesototal=$rowpcdt['dispesototal'];}else{$dispercar=1; $dispesototal=1;}  
								if($rowtipohora['tipohora']=='T'){ $tipoh=$rowhd['horastec'];$tipohora=$rowtv['horatec'];}else{$tipoh=$rowhd['horasvol']; $tipohora=$rowtv['horavol'];}
									  if($rowcd['ccosto']==$rowpcdc['ccosto']){
									
									  $t=(($dispercar/$dispesototal)*$tipoh*60)."<br>";
									  $tt1+=(($dispercar/$dispesototal)*$tipoh*60)."<br>";
									  $sumap+=$dispercar;
									  /* echo $tipoh."<br>";
									  echo $dispercar."<br>";
									  echo $dispesototal."<br>"; */
									  //echo round($t/60,1);
									  $tipohorasc=$tipohora;
									  $tothorascc1+=$t;				  
									  $dishpar[]=array($rowcd['ccosto'],$i,round($t));	
									  $horasdia[]=array($rowtrans['mat_trans'],$rowcd['ccosto'],$i,$t);			  	
									  //5. guardar la estructura de datos indexada por la llave en el cache y colocar tiempo de expiracion de datos  
									  }
							 
						 }else{
						 echo "&nbsp;";
						 }
					 }//$objPer->Liberar($rowhd);
					 
					 //echo round(round($tt1,2));
					 		  $divisora=60;
							  $minutosa=60;
							  
							  
							  $timeh=round($tt1,5);
							  $timeho=round($timeh/60,3);
							  $sumahorav+=round($timeh/60,3);
							  $sumahorav1+=round($timeh/60,4);
							  if($timeho>0){echo $timeho;}else{echo "&nbsp;";}
							  
							  $tminutosa=round($minutosa*$timeho);    
							  $cocientea=floor($tminutosa/$divisora);
							  
							  $restoa=$tminutosa%$divisora;
							  if($restoa<10){
								if($cocientea.":0".$restoa!='0:00'){
									$cocientea.":0".$restoa;
								}
							  }else{
								if($cocientea.":0".$restoa!='0:00'){
									$cocientea.":".$restoa;
								}
							  }   
					 }
					 
				  ?>
          </div></td>
          <? }}else{echo "&nbsp;";}
		  }else{
					echo "&nbsp;";
		  }
		  ?>
          <td><div align="center">
              <?
				  if($rowcd['ccosto']){
				  $hcc=round($tothorascc1)/60;
				  ($tothorascc1/60)."<br>";
				  $tipohorasc."<br>";
				  $timehpar=round(round($tothorascc1,3));
				  //echo $timehopar=round($tothorascc1/60,3)."<br>";
				  //echo $timehopar=$tothorascc1."<br>";
				  echo $sumahorav;
				  
				  $porcentajepp=round($tothorascc1,2)/60;
				  $totalhoracol=round($tothorascc1,1);
				  
				   $porcentajepar=$porcentajepp;				  
				  
				  	  $div=60;
					  $min=60;
					  
					  $tmin=round($min*$timehopar);    
					  $coci=floor($tmin/$div);
					  
					  $rest=$tmin%$div;
						  if($rest<10){
							if($coci.":0".$rest!='0:00'){
								$coci.":0".$rest;
							}
						  }else{
							if($coci.":0".$rest!='0:00'){
								$coci.":".$rest;
							}
						  }
				  $totalhoracole=$tothorascc1;
				  $totalhoracol1+=$totalhoracol;
				  $dish[]=array($rowcd['ccosto'],$hcc);
				  }
				  ?>
          </div></td>
          <td><div align="center">
            <? 					 
					$costocombus=3;
					/* if($rowt['tipohora']=='V'){
						if($rowt['horamaxtra']!=0){
							$dind=$rowthi['horasv']/$rowt['horamaxtra'];
						}
					}elseif($rowt['tipohora']=='T'){
						if($rowt['horamaxtra']!=0){
							$dind=$rowthi['horastec']/$rowt['horamaxtra'];
						}
					} */
					
				$dind=$rowt['dias_indotor'];
					if($rowtrans['mat_trans']=='OB-317'){
					echo $ctotalcal=number_format(((round($tipohora)/3)*$rowt['tarifav']),2,'.','');
					}elseif($rowtrans['mat_trans']=='OB-1842 P'){
					if(($dind-$rowti['dia_aog'])>=0){ $dindcal=($rowt['tarifa']/30)*($rowti['dia_aog']-$dind);}elseif(($dind-$rowti['dia_aog'])<0){ $dindcal=$rowt['tarifa'];}
					if($redondeo==''){$redon=0;}elseif($redondeo!=''){$redon=$redondeo;}
					//echo $redon."<br>";
					$tipohora=round($tipohora,2)+$redon;
					//$cdi=round(($rowt['tarifa']/30)/$rowt['horamaxtra'],2)."<br>";  //$cdi=costo diario 
					$dic=$dindcal; //$dic=dia de indisponibilidad calculado
					//$cfm=$rowt['tarifa']+$cdi*$dic;   // $cfm=costo fijo mensional
					//$cfm=$cdi*$dic;   // $cfm=costo fijo mensional
					$combushora=$rowt['combus']."<br>";
					$cfm=$dic;
					////////////////////////////////////////////////////////////////////////////////////
					if($tipohora<=40){
					$ci1=$tipohora*(1000);//+$combushora*$costocombus
					}else{$ci1=40*1000;}
					if($tipohora>40){ 
						if($tipohora<60){
						$hi=$tipohora-40;
						}else{
						$hi=20;
						}
					$ci2=$hi*2500;
					}else{$ci2=0;}
					if($tipohora>=60){
						$hi3=$tipohora-60;
						$ci3=$hi3*2400;
					}else{$ci3=0;}
					/* echo $tipohora."<br>";
					echo $ci1."<br>";
					echo $ci2."<br>";
					echo $ci3."<br>"; */
						echo $ctotalcal=number_format(($cfm+$ci1+$ci2+$ci3),2,'.','');
					/***************************************************************/
					}elseif($rowtrans['mat_trans']=='C-GKHL' || $rowtrans['mat_trans']=='C-FTVI'){
						if(($dind-$rowti['dia_aog'])>=0){ $dindcal=($rowt['tarifa']/30)*($rowti['dia_aog']-$dind);}elseif(($dind-$rowti['dia_aog'])<0){ $dindcal=$rowt['tarifa'];}
						if($redondeo==''){$redon=0;}else{$redon=$redondeo;}
						$tipohora=(round($tipohora,2)+$redon)."<br>";//-0.03;
						$cdi=round(($rowt['tarifa']/30)/$rowt['horamaxtra'],2);  //$cdi=costo diario de indisponibilidad
						$dic=$dindcal."<br>"; //$dic=dia de indisponibilidad calculado
						//$cfm=$rowt['tarifa']+$cdi*$dic;   // $cfm=costo fijo mensional
						$cfm=($rowt['tarifa']+$dindcal)."<br>";   // $cfm=costo fijo mensional
						////////////////////////////////////////////////////////////////////////////////////
						if($tipohora<=120){$ci1=$tipohora*2400;}else{$ci1=120*2400;}
						if($tipohora>120){$ci2=($tipohora-120)*2400;}else{$ci2=0;}
						//echo $ci1."<br>";
							echo $ctotalcal=number_format((($cfm+$ci1+$ci2)),2,'.','');
					}elseif($rowtrans['mat_trans']=='CFIGR'){
						if(($dind-$rowti['dia_aog'])>=0){ $dindcal=($rowt['tarifa']/30)*($rowti['dia_aog']-$dind);}elseif(($dind-$rowti['dia_aog'])<0){ $dindcal=$rowt['tarifa'];}
						if($redondeo==''){$redon=0;}elseif($redondeo!=''){$redon=$redondeo;}
						$tipohora=round($tipohora,2)+$redon;//-0.03;
						$cdi=round(($rowt['tarifa']/30)/$rowt['horamaxtra'],2);  //$cdi=costo diario de indisponibilidad
						$dic=$dindcal; //$dic=dia de indisponibilidad calculado
						//$cfm=$rowt['tarifa']+$cdi*$dic;   // $cfm=costo fijo mensional
						$cfm=$dindcal;   // $cfm=costo fijo mensional
						////////////////////////////////////////////////////////////////////////////////////
						if($tipohora<=120){$ci1=$tipohora*2800;}else{$ci1=120*2800;}
						if($tipohora>120){$ci2=($tipohora-120)*3190;}else{$ci2=0;}
						/* echo $tipohora."<br>";
						echo $ci1."<br>";
						echo $ci2."<br>"; */
						echo $ctotalcal=number_format(($cfm+$ci1+$ci2),2,'.','');
					}elseif($rowtrans['mat_trans']=='BV234'){
						if(($dind-$rowti['dia_aog'])>=0){ $dindcal=($rowt['tarifa']/30)*($rowti['dia_aog']-$dind);}elseif(($dind-$rowti['dia_aog'])<0){ $dindcal=$rowt['tarifa'];}
						$tipohora=round($tipohora,2);//-0.03;
						$cdi=round(($rowt['tarifa']/30)/$rowt['horamaxtra'],2);  //$cdi=costo diario de indisponibilidad
						$dic=$dindcal; //$dic=dia de indisponibilidad calculado
						//$cfm=$rowt['tarifa']+$cdi*$dic;   // $cfm=costo fijo mensional
						$cfm=$dindcal;   // $cfm=costo fijo mensional
						////////////////////////////////////////////////////////////////////////////////////
						
							echo $ctotalcal=number_format(($tipohora*5148),2,'.','');
					}else{
					if($rowt['horamaxtra']!=''){
							$tipohora=round($tipohora,2);
							$cdi=round(($rowt['tarifa']/30)/$rowt['horamaxtra'],2);
							$cfm=$cdi;
							//$ctotalcal=$cfm+($tipohora*$rowt['tarifah']);
							echo $ctotalcal=number_format(($tipohora*$rowt['tarifah']),2,'.','');					
						}
					}
						
					?>
          </div></td>
          <td><div align="center">
		  <?
		  $cadena1 = explode(".",$tipohorasc);
		  $tothoravol=$cadena1[0].".".substr($cadena1[1],0,3)."<br>";
		  $parcial=round(round(($tothorascc1/60),4),3);
		  $tothvol=round($tipohorasc,3)."<br>";
		  $sumahoravpar=round($sumahorav1,2)."<br>";
		  if($tothvol!=0){
		  //echo ($sumahoravpar/$tothvol)."<br>";
		  echo ($sumahorav/$tothvol)."<br>";
		  }else{
		  echo "0";
		  }
		  //echo round(0.1451,2)."<br>";
		  //echo round(($tothorascc1/60)/$tothoravol,4);
		  //echo round(($tothorascc1/60)/$tipohorasc,6);
		  //round($parcial/$tipohorasc,4);
		  if($tipohorasc!=0){
		  $parcialcal+=round($parcial/$tipohorasc,4);
		  }
		  
		  ?>
          </div></td>
          <td><div align="center">
              <?				
					//echo $porcentaje1=round((round(($tothorascc1/60)/$tipohorasc,6))*100,1);
					if($tothvol!=0){
					echo $porcentaje1=round(($sumahorav/$tothvol)*100,1);
					}else{ echo "0";}
					$port+=$porcentaje1;				  
					$ss=round($sumap)."<br>";
					$sst=round($sumdispercar);			  
				  
				  ?>
          </div></td>
          <td><div align="center">
              <?
					if($rowcd['ccosto']){
					echo $dcc=number_format((($porcentaje1/100)*$ctotalcal),2,'.','');
					//echo $porcentaje1;
					$dcct=$dcct+$dcc;
					$discosto[]=array($rowcd['ccosto'],$dcc);
					}
					?>
          </div></td>
        </tr>
        <? }$objPer->Liberar($rscd);?>
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <td>TOTALES</td>
          <? 
		  
		  for($z=$days1;$z<=$days;$z++){
		  
		  ?>
          <td><div align="center">
            <?
		    			
			$sumahourdia=0;
			foreach($horasdia as $indicehd=>$valuehd)
			{
				if($rowtrans['mat_trans']==$valuehd[0] && $z==$valuehd[2]){					
					$sumahourdia+=$valuehd[3];			
				}
			} 
				  
				  
				if($sumahourdia!=''){
					if($sumahourdia!=0){
				  	
							  $divisorat=60;
							  $minutosat=60;
							  
							  $timeht=round(round($sumahourdia,1));
							  $timehot=round($timeht/60,2);
							  
							  $tminutosat=round($minutosat*$timehot);    
							  $cocienteat=floor($tminutosat/$divisorat);
							  
							  $restoat=$tminutosat%$divisorat;
							  if($restoat<10){
								if($cocienteat.":0".$restoat!='0:00'){
									echo $cocienteat.":0".$restoat;
								}
							  }else{
								if($cocienteat.":0".$restoat!='0:00'){
									echo $cocienteat.":".$restoat;
								}
							  }   
				  	$horaresumen[]=array($rowtrans['mat_trans'],$sumahourdia);
					$sumahourpt+=$sumahourp;
					}else{echo "&nbsp;";}
				}else{
					echo "&nbsp;";
				}
				  ?>
          </div></td>
          <? }?>
          <td><div align="center">
              <?
				  echo calcular_horas_formato_inversa(round($totalhoracol1)/60);
				  ?>
              /<?
			  $cadena = explode(".",round(round($totalhoracol1)/60,4));
			  echo $cadena[0].".".substr($cadena[1],0,3);
			  ?>
          </div></td>
          <td><div align="center"></div></td>
          <td><div align="center"><? //$parcialcal?></div></td>
          <td><div align="center">
              <?
					//$tper
					echo number_format($port,2,'.','');
					?>
          </div></td>
          <td><div align="center">
              <?
				  //$dcct
				  echo $ctotalcal;
				  ?>
          </div></td>
        </tr>
		
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <td><div align="left">Dias indisponibles </div></td>
          <? for($k=$days1;$k<=$days;$k++){?>
          <td><div align="center">
              <? 
				  $rsind=$objPer->getHorasIndisponibleDia($rowtrans['mat_trans'],$anioss."-".$mesess."-".$k);
				  $rowind=$objPer->NextRow($rsind);
				  if($rowtipohora['tipohora']=='T'){ 
				  $hid=calcular_horas_formato_inversai($rowind['horastecind']);
				  if($hid!='0:00'){echo ($rowind['horastecind']/6);}//echo $hid;
				  $tothind+=$rowind['horastecind'];
				  }else{
				  $hid=calcular_horas_formato_inversai($rowind['horasvolind']);
				  if($hid!='0:00'){ echo ($rowind['horastecind']/6);}
				  $tothind+=$rowind['horasvolind'];
				  }				  				  
				  ?>
          </div></td>
          <? }?>
          <td><div align="center">
              <?
			  //calcular_horas_formato_inversai($tothind)
			  echo $tothind/6;
			  ?>
          </div></td>
          <td><div align="center"></div></td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
        </tr>
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <td><div align="left">JP-1 Facturable  Iquitos </div></td>
          <? for($y=$days1;$y<=$days;$y++){?>
          <td><div align="center">
              <? 
				  $rscombusi=$objPer->getConsolCombusIqt($rowtrans['mat_trans'],$anioss."-".$mesess."-".$y,'IQUITOS');
				  $rowcombusi=$objPer->NextRow($rscombusi);
				  echo $rowcombusi['combus'];
				  $totcombusi+=$rowcombusi['combus'];
				  ?>
          </div></td>
          <? }?>
          <td><div align="center">
              <?=$totcombusi?>
          </div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
        </tr>
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <td><div align="left">JP-1 Facturable  LBC </div></td>
          <? for($f=$days1;$f<=$days;$f++){?>
          <td><div align="center">
              <? 
				  $rscombusl=$objPer->getConsolCombus($rowtrans['mat_trans'],$anioss."-".$mesess."-".$f,'LBC');
				  $rowcombusl=$objPer->NextRow($rscombusl);
				  echo $rowcombusl['combus'];
				  $totcombusl+=$rowcombusl['combus'];
				  ?>
          </div></td>
          <? }?>
          <td><div align="center">
              <?=$totcombusl?>
          </div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
        </tr>
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <td><div align="left">JP-1 Iquitos </div></td>
          <? for($m=$days1;$m<=$days;$m++){?>
          <td><div align="center">
              <? 
				  $rscombusni=$objPer->getConsolCombusNoFactiqt($rowtrans['mat_trans'],$anioss."-".$mesess."-".$m,'IQUITOS');
				  $rowcombusni=$objPer->NextRow($rscombusni);
				  echo $rowcombusni['combus'];
				  $totcombusni+=$rowcombusni['combus'];
				  ?>
          </div></td>
          <? }?>
          <td><div align="center">
              <?=$totcombusni?>
          </div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
        </tr>
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <td><div align="left">JP-1 LBC </div></td>
          <? for($o=$days1;$o<=$days;$o++){?>
          <td><div align="center">
              <? 
				  $rscombusnl=$objPer->getConsolCombusNoFact($rowtrans['mat_trans'],$anioss."-".$mesess."-".$o,'LBC');
				  $rowcombusnl=$objPer->NextRow($rscombusnl);
				  echo $rowcombusnl['combus'];
				  $totcombusnl+=$rowcombusnl['combus'];
				  ?>
          </div></td>
          <? }?>
          <td><div align="center">
              <?=$totcombusnl?>
          </div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
        </tr>
      </table>
    </div></td>
  </tr>
  <? } $objPer->Liberar($rstrans);?>
  <tr class="lblCampo">
    <td><div align="left">
	
</div></td>
  </tr>
  <tr>
    <td><div align="center">
	
</div></td>
  </tr>
</table>
<?
if($v==1){
$TiempoFinal = getTiempo(); 
$Tiempo = $TiempoFinal - $TiempoInicial; 
$Tiempo = round($Tiempo,6); 
echo "Esta pagina ha cargado en $Tiempo segundos.";  
}
//var_dump($dispax)."<br>";
//count($dispax);
?>